# APPLEVertexArrayObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class APPLEVertexArrayObject

    java.lang.Object
      org.lwjgl.opengl.APPLEVertexArrayObject

    public final class APPLEVertexArrayObject

extends java.lang.Object

Field Summary
`static int` `GL_VERTEX_ARRAY_BINDING_APPLE` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glBindVertexArrayAPPLE(int array)`
`static void` `glDeleteVertexArraysAPPLE(int array)` Overloads glDeleteVertexArraysAPPLE.
`static void` `glDeleteVertexArraysAPPLE(java.nio.IntBuffer arrays)`
`static int` `glGenVertexArraysAPPLE()` Overloads glGenVertexArraysAPPLE.
`static void` `glGenVertexArraysAPPLE(java.nio.IntBuffer arrays)`
`static boolean` `glIsVertexArrayAPPLE(int array)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ARRAY_BINDING_APPLE

    public static final int GL_VERTEX_ARRAY_BINDING_APPLE

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glBindVertexArrayAPPLE

    public static void glBindVertexArrayAPPLE(int array)

### glDeleteVertexArraysAPPLE

    public static void glDeleteVertexArraysAPPLE(java.nio.IntBuffer arrays)

### glDeleteVertexArraysAPPLE

    public static void glDeleteVertexArraysAPPLE(int array)

  Overloads glDeleteVertexArraysAPPLE.

### glGenVertexArraysAPPLE

    public static void glGenVertexArraysAPPLE(java.nio.IntBuffer arrays)

### glGenVertexArraysAPPLE

    public static int glGenVertexArraysAPPLE()

  Overloads glGenVertexArraysAPPLE.

### glIsVertexArrayAPPLE

    public static boolean glIsVertexArrayAPPLE(int array)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.